Bulk update collections
Deprecated: Use the Collections V2 API. Updates multiple collections in a single request. Accepts up to 50 collections with partial updates to title, slug, status, or parent. Returns lists of successful and failed updates.
PATCH
/api/v1/{team_slug}/{app_slug}/collections/bulkdeprecatedAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
team_slugstringrequiredTeam slug
app_slugstringrequiredApp slug
Request body
requiredapplication/jsonCollections data to update
collectionsinternal_pkg_webserver_v1.BulkPatchCollectionItem[]requiredmax items 50
Show propertiesHide properties
Array of
internal_pkg_webserver_v1.BulkPatchCollectionItemidstringrequiredparent_idstringslugstringstatusstringAllowed:
activeinactivedrafttitlestringResponses
200
Collections updated successfully
datainternal_pkg_webserver_v1.BulkPatchCollectionsResponserequiredShow propertiesHide properties
failedinternal_pkg_webserver_v1.BulkPatchFailedUpdate[] | nullShow propertiesHide properties
Array of
internal_pkg_webserver_v1.BulkPatchFailedUpdateidstringreasonstringsuccessfulgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Collection[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Collectionchildrengithub_com_enadhq_nabbit_internal_pkg_webserver_models.Collection[]Show propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionCircular reference to
github_com_enadhq_nabbit_internal_pkg_webserver_models.Collection.created_atstringidstringparent_idstring | nullredirectsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Redirects[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Redirectsidstringitem_idstring | nulllocalestringnew_slugstringold_slugstringtypegithub_com_enadhq_nabbit_internal_pkg_webserver_models.RedirectTypeAllowed:
productpagecollectioncategoryproduct_bundleslugstringrequiredstatusstringrequiredAllowed:
activeinactivedrafttitlestringtranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.CollectionTranslationShow propertiesHide properties
sluggithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Translationidstringlocalestringvaluestringtitlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullupdated_atstring | nulluristringdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired